<?php
session_start();

error_reporting (E_ALL ^ E_NOTICE ^ E_DEPRECATED ^ E_WARNING ^ E_PARSE);

$ip = strip_tags($_GET['ip']);

$_SESSION['ip'] = $ip;

include("../config/config.php"); 

include("../config/functions/functions.php"); 

require('../include/panel_translations.php');

if (empty($mysql_port)) {
		
	$bdd = new PDO('mysql:host=' . $mysql_host . ';dbname=' . $mysql_database, $mysql_username, $mysql_password);
		
} else {
		
	$bdd = new PDO('mysql:host=' . $mysql_host . ';port=' . $mysql_port . ';dbname=' . $mysql_database, $mysql_username, $mysql_password);
		
}
	
$bdd->query("SET NAMES 'utf8'");

function makeAgo($timestamp){
	
   	$difference = $timestamp - time();
	
	if ($difference < 0) {
		
		$text = 'ERR';
		
	} else {
		
		if ($_GET['lang'] == 'fr') {
			
			$periods = array("seconde", "minute", "heure", "jour", "semaine", "mois", "anne", "decade");
			
		} else if ($_GET['lang'] == 'en') {
			
			$periods = array("second", "minute", "hour", "day", "week", "month", "year", "decade");
			
		} else {
			
			$periods = array("second", "minute", "hour", "day", "week", "month", "year", "decade");
			
		}
				 
   		$lengths = array("60","60","24","7","4.35","12","10");
				 
   		for($j = 0; $difference >= $lengths[$j]; $j++)
				 
   	    	$difference /= $lengths[$j];
   			$difference = round($difference);
		
   			if($difference != 1) $periods[$j].= "s";
				 
				if ($periods[$j] == 'moiss') {
				
					$periods[$j] = 'mois';
					 
				}
				 
   	    $text = "$difference $periods[$j]";
	
   }
   
   return $text;
				 
}

if (!empty($ip)) {
	
	if ($ip != $_SESSION['ip']) {
		
		header('Location: ../admin_panel.php?lang=' . strip_tags($_GET['lang']));
		
	}
	
	$select_serveur = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip');
	$select_serveur->execute(array('ip'=>$ip));
	$serveur = $select_serveur->fetch();
	
	if ($select_serveur->rowCount() == 0) {
			
		header('Location: ../admin_panel.php?lang=' . strip_tags($_GET['lang']));	
			
	}
	
} else {
	
	header('Location: ../admin_panel.php?lang=' . strip_tags($_GET['lang']));
	
}

$valid = true;

if (empty($serveur['email'])) {
	
	$valid = false;
	
} else if (filter_var($serveur['email'], FILTER_VALIDATE_EMAIL)===FALSE) {
	
	$valid = false;
	
}

foreach ($_GET as $var => $value) { 
		
	if (empty($GET)) {
				
		$GET = '?' . $var . '=' . strip_tags(htmlentities($value));
				
	} else {
				
		if ($var != 'lang') {
					
			$GET = $GET . '&' . $var . '=' . strip_tags(htmlentities($value));
					
		}
				
	}

} 
		
$link = 'forgot_logs.php' . $GET;

if (empty($_GET['lang'])) {
	
	$lang = $default_language;
	
} else {
	
	$lang = strip_tags($_GET['lang']);
	
}

$link_email = $_SERVER['SERVER_NAME'].$_SERVER['PHP_SELF'];

$link_email = substr( $link_email , 0 , lastIndexOf($link_email, '/') );

$link_email = substr( $link_email , 0 , lastIndexOf($link_email, '/') );

$link_email = $link_email . '/admin_panel.php?ip=' . $ip . '&lang=' . strip_tags($_GET['lang']);

if ($lang == 'fr') {
	
	$forgot_logs_email = 'Bonjour,<br /><br />
		Vous avez fait une demande de <strong>rcupration</strong> de vos <strong>identifiants</strong> pour oubli.<br />
		<br />
    	Nous vous rappelons donc vos <strong>identifiants</strong> :<br />
		<br />
		---------------------------------------------------<br />
		<br />
    	<strong>Nom de compte</strong> : ' . $serveur['admin_login'] . '<br />
    	<strong>Mot de passe</strong> : ' . $serveur['admin_password'] . '<br />
		<br />
		---------------------------------------------------<br />
		<br />
		Vous pouvez maintenant vous <a href="' . $link_email . '"><strong>connecter</strong></a> au panel d\'administration de votre <strong>serveur</strong>.<br />
		<br />
		<strong>Cordialement</strong>,<br />
		L\'quipe <strong>Cash2Admin</strong>.';
	$forgot_logs_email_subject = 'Cash2Admin - Voici vos identifiants.';
	$forgot_logs_error_email = '<strong><font color=red>L\'adresse email du reponsable du serveur est vide ou n\'est pas valide.</font></strong>';
	$forgot_logs_email_sent = '<strong><font color=green>Les identifiants de connexion au panel d\'administration ont t envoys  l\'adresse email (' . $serveur['email'] . ') du responsable du serveur.</font></strong>';
	
} else if ($lang == 'en') {
	
	$forgot_logs_email = 'Hello,<br /><br />
		You made a <strong>request</strong> to recover your <strong>forgotten</strong> password.<br />
		<br />
    	Here are your <strong>ID\'s</strong> :<br />
		<br />
		---------------------------------------------------<br />
		<br />
    	<strong>Login</strong> : ' . $serveur['admin_login'] . '<br />
    	<strong>Password</strong> : ' . $serveur['admin_password'] . '<br />
		<br />
		---------------------------------------------------<br />
		<br />
		You can now <a href="' . $link_email . '"><strong>login</strong></a> to your <strong>server</strong>\'s panel administration.<br />
		<br />
		<strong>Cordialy</strong>,<br />
		The <strong>Cash2Admin</strong> Team.';
	$forgot_logs_email_subject = 'Cash2Admin - Here are your ID\'s.';
	$forgot_logs_error_email = '<strong><font color=red>The email address of the server manager is empty or invalid</font></strong>';
	$forgot_logs_email_sent = '<strong><font color=green>Email sent successfully to the server manager (' . $serveur['email'] . ').</font></strong>';
	
} else {
	
	$forgot_logs_email = 'Hello,<br /><br />
		You made a <strong>request</strong> to recover your <strong>forgotten</strong> password.<br />
		<br />
    	Here are your <strong>ID\'s</strong> :<br />
		<br />
		---------------------------------------------------<br />
		<br />
    	<strong>Login</strong> : ' . $serveur['admin_login'] . '<br />
    	<strong>Password</strong> : ' . $serveur['admin_password'] . '<br />
		<br />
		---------------------------------------------------<br />
		<br />
		You can now <a href="' . $link_email . '"><strong>login</strong></a> to your <strong>server</strong>\'s panel administration.<br />
		<br />
		<strong>Cordialy</strong>,<br />
		The <strong>Cash2Admin</strong> Team.';
	$forgot_logs_email_subject = 'Cash2Admin - Here are your ID\'s.';
	$forgot_logs_error_email = '<strong><font color=red>The email address of the server manager is empty or invalid</font></strong>';
	$forgot_logs_email_sent = '<strong><font color=green>Email sent successfully to the server manager (' . $serveur['email'] . ').</font></strong>';
	
}

if ($valid) {
	
	if ($_SESSION['forgot_logs'] < 5) {
	
		$subject = $forgot_logs_email_subject;
		
		$website_domain = $_SERVER['SERVER_NAME'];
		
		if (substr($website_domain , 0 , 4) == 'www.') {
			
			$website_domain = substr($website_domain , 4 , strlen($website_domain));
			
		}
	
    	$message = $forgot_logs_email;

    	$headers = 'From:logs@' . $website_domain . "\r\n";
    	$headers.='MIME-version: 1.0'."\r\n";
    	$headers.='Content-type: text/html; charset=utf-8'."\r\n";
    	mail( $serveur['email'] , $subject , $message , $headers );
	
		if (empty($_SESSION['forgot_logs'])) {
		
			$_SESSION['forgot_logs'] = 1;
		
		} else {
		
			$_SESSION['forgot_logs'] = $_SESSION['forgot_logs'] + 1;
		
			if ($_SESSION['forgot_logs'] == 5) {
			
				$_SESSION['forgot_logs'] = time() + ( 5 * 60 ) ;
			
			}
		
		}
	
	} else {
		
		if (time() >= $_SESSION['forgot_logs']) {
			
			unset($_SESSION['forgot_logs']);
			
			unset($time);
			
			header('Location: forgot_logs.php?ip=' . $ip . '&lang=' . strip_tags($_GET['lang']));
			
		} else {
			
			$time = $_SESSION['forgot_logs'];
			
		}
		
	}
	
}

if ($lang == 'fr') {

	$forgot_logs_overflow = '<strong><font color=red>Vous avez fait trop de demande d\'oublie de mot de passe, veuillez attendre ' . makeAgo($time) . ' avant de pouvoir faire une demande d\'oublie.</font></strong>';
	
} else if ($lang == 'en') {
	
	$forgot_logs_overflow = '<strong><font color=red>You have made too many requests, please wait ' . makeAgo($time) . ' before make a new request.</font></strong>';
	
} else {
	
	$forgot_logs_overflow = '<strong><font color=red>You have made too many requests, please wait ' . makeAgo($time) . ' before make a new request.</font></strong>';
	
}

?>

<!DOCTYPE HTML>

<html>

    <head>

        <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
  
        <link type="text/css" rel="stylesheet" href="../styles/style.css" media="all"  />
        
        <title><?php echo $forgot_logs_title; ?></title>
        
        <meta name="author" content="SoGeek" />
        
    </head>

<style>body { background:#F5F5F5 0 bottom; width:600px;margin-left:auto;margin-right:auto; }</style>

<body>

<center><img src="../styles/images/Cash2Admin.png" style="margin-left:35px;margin-bottom:-10px;margin-top:0px;" /></center>

<div style="float:left;margin-right:0px;margin-top:-55px;position:relative;"><a href="../admin_panel.php?ip=<?php echo strip_tags($_GET['ip']); ?>&lang=<?php echo strip_tags($_GET['lang']); ?>"><img src="../config/images/go_back.png" width="20" height="20" title="Back" alt="Back"></a></div>

<div style="float:right;margin-right:128px;margin-top:-10px;position:relative;">

<a href="<?php if (empty($GET)) { echo $link . '?lang=fr'; } else { echo $link . '&lang=fr'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_fr.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=en'; } else { echo $link . '&lang=en'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_us.gif" width="20" height="17"></a>

</div>

<div class="formulaire_background" style="text-align:center;">
         
         <div class="client_INFORMATIONS" style="margin-bottom:15px;"><?php echo $ADMINISTRATION_PANEL; ?></div>
         
      <?php if (!empty($time)) {
         
                echo $forgot_logs_overflow;
         
            } else {
         
                 if (!$valid) {
         
                     echo $forgot_logs_error_email;
         
                 } else { 
         
                     echo $forgot_logs_email_sent;
            
                 } 
				 
            } ?>
         
         <br /><br /><strong><a href="../admin_panel.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>"><?php echo $back_to_login_page; ?></a></strong>
         
</div>    

<?php echo $copyright; ?>     

</body>

</html>