<?php

session_start();

error_reporting (E_ALL ^ E_NOTICE ^ E_DEPRECATED ^ E_WARNING ^ E_PARSE);

require('config/config.php');

$ip = strip_tags($_GET['ip']);

if (empty($_GET['lang']) || $_GET['lang'] == '' || strlen($_GET['lang']) == 0) {
	
	$lang = $default_language;
	
} else {
	
	$lang = strip_tags($_GET['lang']);
	
}

function makeAgo($timestamp){
	
   	$difference = $timestamp - time();
	
	if ($difference < 0) {
		
		$text = 'ERR';
		
	} else {
		
		if (empty($_GET['lang']) || $_GET['lang'] == '' || strlen($_GET['lang']) == 0) {
	
			$lang = $default_language;
	
		} else {
	
			$lang = strip_tags($_GET['lang']);
	
		}
				 
   		if ($lang == 'fr') {
			
			$periods = array("seconde", "minute", "heure", "jour", "semaine", "mois", "anne", "decade");
			
		} else if ($lang == 'en') {
			
			$periods = array("second", "minute", "hour", "day", "week", "month", "year", "decade");
			
		} else {
			
			$periods = array("second", "minute", "hour", "day", "week", "month", "year", "decade");
			
		}
		
   		$lengths = array("60","60","24","7","4.35","12","10");
				 
   		for($j = 0 ; $difference >= $lengths[$j] ; $j++)
				 
   	    	$difference /= $lengths[$j];
   			$difference = round($difference);
		
   			if($difference != 1) $periods[$j].= "s";
				 
				if ($periods[$j] == 'moiss') {
				
					$periods[$j] = 'mois';
					 
				}
				 
   	    $text = "$difference $periods[$j]";
	
   }
   
   return $text;
				 
}

$connexion_sql = true;

try {
	
	if (empty($mysql_port)) {
		
		$bdd = new PDO('mysql:host=' . $mysql_host . ';dbname=' . $mysql_database, $mysql_username, $mysql_password);	
		
	} else {
		
		$bdd = new PDO('mysql:host=' . $mysql_host . ';port=' . $mysql_port . ';dbname=' . $mysql_database, $mysql_username, $mysql_password);
		
	}

} catch (PDOException $erreur) {
	
	$connexion_sql = false;

}

if ((!empty($ip)) && (!empty($_SESSION['ip']))) {
	
	if ($ip != $_SESSION['ip']) {
		
		header('Location: admin_panel.php?lang=' . strip_tags($_GET['lang']));
		
	}
	
	$req = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip');
	$req->execute(array('ip'=>$ip));
	$data = $req->fetch();
		
	if ($req->rowCount() == 0) {
			
		header('Location: admin_panel.php?lang=' . strip_tags($_GET['lang']));	
			
	}
	
} else {
	
	unset($_SESSION['admin_panel_access']);
	
}

if ((!empty($_POST)) && isset($_POST['administrer'])) {
	
	$_SESSION['ip'] = $_POST['select_server'];
	
	header('Location: admin_panel.php?ip=' . $_POST['select_server'] . '&lang=' . strip_tags($_GET['lang']));
	
} else {
	
	require('include/panel_translations.php');
	
}

if (!empty($_POST) && isset($_POST['connexion'])) {
	  
	$valid = true;
	
	extract($_POST);
	
	if (empty($login)) {
		
		$valid = false;
		$erreurlogin = $enter_login;
		
	}
	
	if (empty($password)) {
		
		$valid = false;
		$erreurpass = $enter_password;
		
	}
	
	if ($valid) {
		
		$req = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip AND admin_login=:login AND admin_password=:password');
		$req->execute(array('ip'=>$ip, 'login'=>strip_tags($login), 'password'=>strip_tags($password)));
		$data = $req->fetch();
		
		if ($req->rowCount() == 0) {
			
			$valid = false;
			$erreurid = $error_ids;
			
		} else {
			
			$_SESSION['admin_panel_access'] = $ip;
			
		}

    }
  
} else {
	
	require('include/panel_translations.php');
	
}

?>

<!DOCTYPE HTML>

<html>

    <head>

        <meta http-equiv="content-type" content="text/html; charset=iso-8859-1">
  
        <link type="text/css" rel="stylesheet" href="styles/style.css" media="all"  />
        
        <title><?php echo $admin_panel_title; ?></title>
        
        <meta name="author" content="SoGeek" />
        
        <noscript>
            <meta http-equiv="refresh" content="0; URL=config/functions/javascript_disabled.php"> 
        </noscript>
        
    </head>

<style>body { background:#F5F5F5 0 bottom; width:600px;margin-left:auto;margin-right:auto; }</style>

<body>

<center><img src="styles/images/Cash2Admin.png" style="margin-left:35px;margin-bottom:-10px;margin-top:0px;" /></center>

<?php if (!empty($_SESSION['admin_panel_access'])) { ?>

<div style="float:right;margin-right:0px;margin-top:-55px;position:relative;"><a href="admin/logout.php"><img src="config/images/disconnect.png" width="20" height="20" title="Deconnexion" alt="Deconnexion"></a></div>

<?php } 

foreach ($_GET as $var => $value) { 
		
	if (empty($GET)) {
				
		$GET = '?' . $var . '=' . strip_tags(htmlentities($value));
				
	} else {
				
		if ($var != 'lang') {
					
			$GET = $GET . '&' . $var . '=' . strip_tags(htmlentities($value));
					
		}
				
	}

} 
		
$link = 'admin_panel.php' . $GET;

include('config/functions/check_updates.php');

?>

<div style="float:right;margin-right:128px;margin-top:-10px;position:relative;">

<a href="<?php if (empty($GET)) { echo $link . '?lang=fr'; } else { echo $link . '&lang=fr'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_fr.gif" width="20" height="17"></a>
<a href="<?php if (empty($GET)) { echo $link . '?lang=en'; } else { echo $link . '&lang=en'; } ?>"><img src="http://payment.allopass.com/imgweb/common/flag_us.gif" width="20" height="17"></a>

</div>

<?php

if ((!$connexion_sql) || ($must_update) || file_exists('install/install.php')) {
	
	if ($must_update) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $MUST_UPDATE_TITLE; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $MUST_UPDATE; ?></center></div>
              
              </div>
        
        <?php
		
	}
	
	if (!$connexion_sql) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $SQL_ERROR; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $ERROR_IN_SQL; ?></center></div>
              
              </div>

        
        <?php
		
	}
	
	if (file_exists('install/install.php')) {
		
		?>
        
               <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $INSTALL_ERROR_TITLE; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $INSTALL_ERROR; ?></center></div>
              
              </div>
        
        <?php
		
	}
	
} else {
		
    if ($update_available && (!$must_update)) {

       echo '<div class="formulaire_background" style="background-color:#DADADA;text-align:center;">' . $update_available . '</div>';
	
    }
	
?>

<?php if (empty($_SESSION['admin_panel_access']) || $_SESSION['admin_panel_access'] != $ip) { ?>

    <?php if (empty($_GET['ip'])) { ?>
    
    <div class="formulaire_background" style="text-align:center;">
    
        <div class="client_INFORMATIONS" style="margin-bottom:0px;"><?php echo $ADMINISTRATION_PANEL; ?></div>
        
        <?php
		
		$req = $bdd->prepare('SELECT * FROM Cash2Admin');
		$req->execute(array('ip'=>$ip));
		
		if ($req->rowCount() == 0) {
			
			echo '<div style="margin-top:10px;color:red;margin-bottom:20px;"><strong>' . $no_server . '</strong></div>';
			
		} else {
			
			unset($_SESSION['check_ftp']);
		
		?>
        
         <div style="margin-top:10px;color:black;margin-bottom:20px;"><strong><?php echo $select_server; ?></strong></div>
         
         <form action="admin_panel.php?lang=<?php echo strip_tags($_GET['lang']); ?>" method="post">
         
         <center>
             <select name="select_server" id="select_server" style="float:none;margin-left:auto;margin-right:auto;">
                <?php while($data = $req->fetch(PDO::FETCH_OBJ)) { echo '<option>' . $data->ip . '</option>'; } ?>
             </select>
         </center>
         
         <input class="login_button" type="submit" name="administrer" id="administrer" value="<?php echo $administrate; ?>" style="margin-top:20px;margin-bottom:0px;margin-right:auto;margin-left:auto;float:none;" />
         
         </form>
        
        <?php } ?>
    
    </div>
    
    <?php } else { unset($_SESSION['check_ftp']); ?>
    
    <div class="formulaire_background" style="text-align:center;">
         
         <div class="client_INFORMATIONS" style="margin-bottom:0px;"><?php echo $ADMINISTRATION_PANEL; ?></div>
        
         <?php if(isset($erreurid)) echo '<div class="erreur_id" style="color:red;margin-top:10px;">' . $erreurid . '</div>'; ?>
     
         <form action="admin_panel.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" method="POST">
         
         <input type="hidden" name="ip" id="ip" value="<?php echo $ip; ?>">
     
         <div class="form_ITEM" style="width:600px;margin-left:auto;margin-right:auto;float:none;">
         
         <label for"login" style="width:150px;float:none;"><?php echo $pseudo; ?></label>
         
         <input type="text" name="login" id="login" placeholder="<?php echo $pseudo; ?>" style="width:170px;float:none;">
         
         <div class="erreur_login" style="color:red;"><?php if (isset($erreurlogin)) echo $erreurlogin; ?></div>
         
         </div>
         
         <div class="form_ITEM" style="width:600px;margin-left:auto;margin-right:auto;">
         
         <label for"password" style="width:150px;"><?php echo $PASS; ?></label>
         
         <input type="password" name="password" id="password" value="password" onFocus="if(this.value='password') this.value=''" style="width:170px;float:none;">
         
         <div class="erreur_password" style="color:red;"><?php if (isset($erreurpass)) echo $erreurpass; ?></div>
         
         </div>
         
         <center><input class="login_button" type="submit" name="connexion" id="connexion" value="Connexion" style="margin-top:20px;margin-bottom:15px;" /></center>
         
         </form>
         
         <a href="admin/forgot_logs.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" style="color:#223F51;"><strong><?php echo $forgot_logs; ?></strong></a><br /><br />
        
    </div>
    
    <?php } ?>

<?php } else if ($_SESSION['admin_panel_access'] == $ip) {
	
	echo '<div style="display:none;">';

	if (empty($_SESSION['check_ftp']) || $_SESSION['check_ftp'] != $_SESSION['ip']) {

		$conn_id = ftp_connect($data['host'], 21, 10); 

		$login_result = ftp_login($conn_id, $data['user'], $data['password']); 

		if ((!$conn_id) || (!$login_result)) {
	
    		$connexion_ftp = false;
	
		} else {
			
			if (ftp_size($conn_id , $data['game_path'] . '/addons/mani_admin_plugin/bin/mani_admin_plugin_mm.dll') != '-1') {
			
				$plugin_administration = true;
			
			} else if (ftp_size($conn_id , $data['game_path'] . '/addons/eventscripts/super_admin_cheetah/admins.txt') != '-1') {
			
				$plugin_administration = true;
			
			} else if (ftp_size($conn_id , $data['game_path'] . '/addons/sourcemod/bin/sourcemod.1.ep1.so') != '-1') {
			
				$plugin_administration = true;
			
			} else {
			
				$plugin_administration = false;
			
			}
			
			if (ftp_size($conn_id , $data['game_path'] . '/cfg/server.cfg') == '-1') {
				
				$game_exist = false;
				
			} else {
				
				$game_exist = true;
				
			}
	
			$connexion_ftp = true;
		
			$_SESSION['check_ftp'] = $_SESSION['ip'];
	
		}

	} else {
	
		if (!empty($_SESSION['check_ftp'])) {
		
			$connexion_ftp = true;
		
		} else {
		
			$connexion_ftp = false;
		
		}
		
		$plugin_administration = true;
		
		$game_exist = true;
	
	}
	
	$errors_in_offers = false;

	$check_offers = explode('#OFFER#' , $data['offers']);

	if (!empty($check_offers[0])) {
	
		$i = 0;
		
		while(!empty($check_offers[$i])) { $i++; }
	
		for ($a = 0 ; $a < $i ; $a++) {
		
			if (!empty($check_offers[$a]) && $check_offers[$a] != '') {
			
				$offer = explode('#' , $check_offers[$a]);
			
				if (!(!empty($offer[0]) && $offer[0] != '' && !empty($offer[1]) && $offer[1] != '')) {
				
			     	$errors_in_offers = true;
				
				} else {
				
					if (!is_numeric($offer[0]) || !is_numeric($offer[1])) {
					
						$errors_in_offers = true;
					
					}
				
				}
			
			}
		
		}
	
	} else {
	
		$errors_in_offers = true;
	
	}

echo '</div>';



	if (!$connexion_ftp) { 
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $FTP_ERROR; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $ERROR_IN_FTP; ?></center></div>
                   
                   <br /><center><a href="admin/modif_serv.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" style="text-align:center;margin-bottom:20px;"><strong><?php echo $change_server_values; ?></strong></a></center>
              
              </div>
        
        <?php
		
	} else if (!$game_exist) {
		
		?>
        
        <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $GAME_ERROR; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $GAME_NOT_FOUND; ?></center></div>
                   
                   <br /><center><a href="admin/modif_serv.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" style="text-align:center;margin-bottom:20px;"><strong><?php echo $change_server_values; ?></strong></a></center>
              
              </div>
        
        <?php
		
	} else if (!$plugin_administration) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $ADMIN_PLUGINS_ERROR; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $ADMIN_PLUGIN_NOT_FOUND; ?></center></div>
              
              </div>
        
        <?php
		
	} else if ($errors_in_offers) {
		
		?>
        
              <div class="formulaire_background">
         
                   <div class="client_INFORMATIONS" style="margin-bottom:20px;color:red;"><?php echo $OFFERS_ERRORS_TITLE; ?></div>
                   
                   <div id="warning" style="margin-bottom:20px;margin-top:10px;float:none;display:inline;"><div style="float:left;margin-bottom:10px;"><img src="config/images/attention.png" height="50" width="50" style="margin-right:10px;margin-bottom:10px;margin-top:-10px;"></div><center><?php echo $OFFERS_ERRORS; ?></center></div>
              
                   <br /><center><a href="admin/modif_serv.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" style="text-align:center;margin-bottom:20px;"><strong><?php echo $change_server_values; ?></strong></a></center>
              
              </div>
        
        <?php
		
	} else {
		
		function lastIndexOf ( $string , $item ) { 

   		 $index = strpos ( strrev ( $string ) , strrev ( $item ) );  
	
   		 if ($index) {  
	
        		$index = strlen ($string) - strlen ($item) - $index ;  
		
        		return $index ;  
		
    		} else {  
	
        		return -1; 
		
			}
		
		} 
		
		$admins = explode('#ADMIN#' , $data['admins']);
		
		$i = 0;
		
		while(!empty($admins[$i])) { $i++; }
		
		for ( $u = 0 ; $u < $i ; $u++ ) {
			
			if (!empty($admins[$u]) && $admins[$u] != '') {
		
		     $user = explode('=>' , $admins[$u]);
			 
			 $time = makeAgo($user[1]);
		
		     if ($time != 'ERR') {
				 
				 if (!ereg($user[0] , $valid_admins)) {
				 
			         if (!empty($valid_admins)) {	 
				 
				         $valid_admins = $valid_admins . '#ADMIN#' . $admins[$u];
				 
			         } else {
				   
				         $valid_admins = $admins[$u];
				   
			         }
			   
				 } else {
					 
					 $timestamp_user = substr(substr(substr($valid_admins , strpos ( $valid_admins , $user[0] ) , strlen($valid_admins) ) , strpos ( substr($valid_admins , strpos ( $valid_admins , $user[0] ) , strlen($valid_admins) ) , '=>' ) + 2 , strlen(substr($valid_admins , strpos ( $valid_admins , $user[0] ) , strlen($valid_admins) )) ) , 0 , 10);
					 
					 if ($user[1] > $timestamp_user) {
						 
						 if (!empty($valid_admins)) {	 
				 
				         	 $valid_admins = $valid_admins . '#ADMIN#' . $admins[$u];
				 
			         	 } else {
				   
				         	 $valid_admins = $admins[$u];
				   
			         	 }
						 
						 $valid_admins = str_replace($user[0] . '=>' . $timestamp_user , '' , $valid_admins);
						 
						 if (substr($valid_admins , 0 , 7) == '#ADMIN#') {
							 
							 $valid_admins = substr($valid_admins , 7 , strlen($valid_admins));
							 
						 }
						 
						 while( ereg ( '#ADMIN##ADMIN#' , $valid_admins ) ) {
							 
							 $valid_admins = str_replace('#ADMIN##ADMIN#' , '#ADMIN#' , $valid_admins);
							 
						 }
						 
					 }
					 
				 }
				 
			 } else {
				 
			   if (!empty($unvalid_admins)) {	 
				 
				   $unvalid_admins = $unvalid_admins . '#ADMIN#' . $admins[$u];
				 
			   } else {
				   
				   $unvalid_admins = $admins[$u];
				   
			   }
				 
			 }
			 
			}
			 
		}
		
		if (!empty($unvalid_admins)) {
		
			if (!empty($data['unvalid_admins'])) {
			
				$unvalid_admins = $data['unvalid_admins'] . '#ADMIN#' . $unvalid_admins;
			
			} else if (substr($unvalid_admins , 0 , 7) == '#ADMIN#') {
			
				$unvalid_admins = substr($unvalid_admins , 7 , strlen($unvalid_admins));
			
			}
		
		} else {
			
			$unvalid_admins = $data['unvalid_admins'];
			
		}
		
		while( ereg ( '#ADMIN##ADMIN#' , $valid_admins ) ) {
							 
			$valid_admins = str_replace('#ADMIN##ADMIN#' , '#ADMIN#' , $valid_admins);
							 
		}
		
		while( ereg ( '#ADMIN##ADMIN#' , $unvalid_admins ) ) {
							 
			$unvalid_admins = str_replace('#ADMIN##ADMIN#' , '#ADMIN#' , $unvalid_admins);
							 
		}
		
		if (!empty($data['valid_admins'])) {
			
			$valid_admins = $data['valid_admins'] . '#ADMIN#' . $valid_admins;
			
		} else if (substr($valid_admins , 0 , 7) == '#ADMIN#') {
			
			$valid_admins = substr($valid_admins , 7 , strlen($valid_admins));
			
		}
		
		$req = $bdd->prepare('UPDATE Cash2Admin SET admins=:admins , unvalid_admins=:unvalid_admins WHERE ip=:ip');
		$req->execute(array('ip'=>$ip , 'admins'=>strip_tags($valid_admins), 'unvalid_admins'=>strip_tags($unvalid_admins)));
		
		$req = $bdd->prepare('SELECT * FROM Cash2Admin WHERE ip=:ip');
		$req->execute(array('ip'=>$ip));
		$data = $req->fetch();	
	
?>

<script type="text/javascript" src="include/javascript/jquery.js"></script>

<div class="formulaire_background">

    <div class="client_INFORMATIONS" style="margin-bottom:0px;"><?php echo $ADMINISTRATION_PANEL; ?></div>
    
    <?php 
	
	$nbr_admins_cash2admin = explode('#ADMIN#' , $data['admins']);
	
	$empty = true;
	
	$i = 0;
		
	while(!empty($nbr_admins_cash2admin[$i])) { $i++; }
	
	for($u = 0; $u < $i ; $u++) {
		
		if (!empty($nbr_admins_cash2admin[$u]) && $nbr_admins_cash2admin[$u] != '') {
			
			$empty = false;
			
			$nbr = $nbr + 1;
			
		}
		
	}
	
	if ($empty) {
		
		$nbr_admins = 0;
		
	} else {
		
		$nbr_admins = $nbr;
		
	}
	
	if (empty($_GET['lang'])) {
	
		$lang = $default_language;
	
	} else {
	
		$lang = strip_tags($_GET['lang']);
	
	}
	
	if ($lang == 'fr') {
		
		$cash2admin_admin_number = 'Actuellement <strong>' . $nbr_admins . '</strong> administrateur(s) ajout(s) via <strong>Cash2Admin';
		
	} else if ($lang == 'en') {
		
		$cash2admin_admin_number = 'Currently <strong>' . $nbr_admins . '</strong> administrator(s) added with <strong>Cash2Admin';
		
	} else {
		
		$cash2admin_admin_number = 'Currently <strong>' . $nbr_admins . '</strong> administrator(s) added with <strong>Cash2Admin';
		
	}
	
	?>
    
    <div style="text-align:center;margin-top:20px;margin-bottom:20px;"><?php echo $cash2admin_admin_number; ?></strong></div>
    
    <?php if ( $i > 0 ) { ?>
    
    <center>
    <div style="float:none;margin-top:10px;margin-bottom:20px;" > 
    <table border="0" cellspacing="0">
    
    <tr>
       <th>Steam ID</th>
       <th>Expiration</th>
       <th><?php echo $remove_flags; ?></th>
       <th><?php echo $ban; ?></th>
    </tr>
    
    <?php 
	
	$ban = explode('#' , $data['admins_banned']);
	
	for ( $u = 0 ; $u < $i ; $u++ ) {
		
		if (!empty($nbr_admins_cash2admin) && $nbr_admins_cash2admin != '') {
		
			$admin = explode('=>' , $nbr_admins_cash2admin[$u]);
		
			if (in_array($admin[0] , $ban)) {
			
				$status = '<td><img src="config/images/valid.png" id="unban" title="Dbannir ' . $admin[0] . '" name="' . $admin[0] . '" width="20" height="20"></td>';
			
			} else {
			
				$status = '<td><img src="config/images/bannir.png" id="ban" title="Bannir ' . $admin[0] . '" name="' . $admin[0] . '" width="20" height="20"></td>';
			
			}
		
			$time = makeAgo($admin[1]);
		
			if ($time != 'ERR') {
		
				echo '<tr>';
		
				echo '<td>' . $admin[0] . '</td>';
				
				echo '<td>' . $time_ago . ' <strong>' . $time . '</strong></td>';
		
				echo '<td><img src="config/images/delete.png" title="' . $remove_flags .'(' . $admin[0] . ')" id="remove" name="' . $admin[0] . '" width="20" height="20"></td>';
		
				echo $status;
		
				echo '</tr>';
		
			}
		
		}
		
	}
	
	?>
    
    </table> 
    </div>
    </center>
    
    <script>
	 
	$(document).ready(function() {

		$('img').click(function() {
								
		  var dataString = 'steam_id=' + $(this).attr('name') + '&ip=<?php echo $ip; ?>';
			 
		  var object = this;
										
		  if ($(this).attr('id') == 'ban') {					
		
				$.ajax({
					  					   
					   type: 'POST',
					   url : 'config/functions/ban_steamid.php',
					   data: dataString,
					   
					   beforeSend : function () {
						   
						   $(object).attr('src' , "config/images/ajax_load.gif");
						   $(object).attr('width' , "16");
						   $(object).attr('height' , "16");
									   
					   }, success : function(data) {
						     
							$(object).attr('src' , "config/images/valid.png");
						   	$(object).attr('width' , "16");
						   	$(object).attr('height' , "16");
								 
							$(object).attr('id' , "unban");

					   } , error : function(data) {
						   
						   $(object).attr('src' , "config/images/error.png");
						   $(object).attr('width' , "16");
						   $(object).attr('height' , "16");

					   }
					   
			     });
				
		  } else if ($(this).attr('id') == 'unban') {		
			  
			  $.ajax({
					  					   
					   type: 'POST',
					   url : 'config/functions/unban_steamid.php',
					   data: dataString,
					   
					   beforeSend : function () {
						   
						   $(object).attr('src' , "config/images/ajax_load.gif");
						   $(object).attr('width' , "16");
						   $(object).attr('height' , "16");
									   
					   }, success : function(data) {
								 
						   $(object).attr('src' , "config/images/bannir.png");
						   $(object).attr('width' , "16");
						   $(object).attr('height' , "16");
								 
						   $(object).attr('id' , "ban");

					   } , error : function(data) {
						   
						   $(object).attr('src' , "config/images/error.png");
						   $(object).attr('width' , "16");
						   $(object).attr('height' , "16");

					   }
					   
			     });
			  
		  } else if ($(this).attr('id') == 'remove') {
			  
			  $.ajax({
					  					   
					   type: 'POST',
					   url : 'config/functions/remove_flags.php',
					   data: dataString,
					   
					   beforeSend : function () {
						   
						   $(object).attr('src' , "config/images/ajax_load.gif");
						   $(object).attr('width' , "16");
						   $(object).attr('height' , "16");
									   
					   }, success : function(data) {
								 
							$(object).attr('src' , "config/images/valid.png");
						   	$(object).attr('width' , "16");
						   	$(object).attr('height' , "16");
								 
							$(object).parent().parent().fadeOut();

					   } , error : function(data) {
						   
						   $(object).attr('src' , "config/images/error.png");
						   $(object).attr('width' , "16");
						   $(object).attr('height' , "16");

					   }
					   
			     });
			  
		  }
			
		});
		
	});
	
	</script>
    
    <center><a href="admin/modif_serv.php?ip=<?php echo $ip; ?>&lang=<?php echo strip_tags($_GET['lang']); ?>" style="text-align:center;margin-bottom:20px;"><strong><?php echo $change_server_values; ?></strong></a></center>
    
    <?php } ?>

</div>

<div class="formulaire_background">

    <div class="client_INFORMATIONS" style="margin-bottom:20px;"><?php echo $add_administrator; ?></div>
    
    <center>
    
         <font color="#006666"><input type="text" id="steam_id" name="steam_id" placeholder="Steam ID" style="float:none;margin-bottom:10px;margin-top:10px;width:125px;text-align:center;"> <strong><?php echo $FOR; ?></strong> <input type="text" id="months" name="months" placeholder="1" value="1" style="float:none;margin-bottom:10px;margin-top:10px;width:50px;text-align:center;">  <strong><?php echo $MONTHS; ?></strong></font>
                           
         <br /><input class="login_button" type="submit" name="add_admin" id="add_admin" value="<?php echo $ADD; ?>" style="margin-top:15px;margin-bottom:10px;" />
                           
         <br /><span id="Steam_ID_Added"></span>
         
         <div id="load" style="margin-bottom:5px;"></div>
                           
    </center>
    
    <script>
	
	function ReplaceAll ( Source , stringToFind , stringToReplace ) {
		
         var temp = Source;
		 
         var index = temp.indexOf ( stringToFind ) ;
		 
         while ( index != -1 ) {
			 
             temp = temp.replace( stringToFind , stringToReplace );
			 
             index = temp.indexOf( stringToFind );
			 
         }
		 
         return temp;
    }
		
	$(document).ready(function() {
											   
		$('#load').hide();			   
				
		$('#add_admin').click(function() {
			
		var valid = true;	
													   
		if ($('#steam_id').val() != 'Steam ID') {					   
													   
			var replace_admin_steamid = ReplaceAll($('#steam_id').val(), " " , "");
							
			$('#steam_id').val(replace_admin_steamid);
							
		}
							
		if ($('#steam_id').val() == '') {
			
			valid = false;

			$('#Steam_ID_Added').fadeIn(100).html('<font color=red><?php echo $enter_steam_id; ?></font>');
							
			$('#steam_id').css('border-color', '#F55');
			$('#steam_id').css('-moz-box-shadow', '0 0 10px #F55');
			$('#steam_id').css('-webkit-box-shadow', '0 0 10px #F55');
			$('#steam_id').css('box-shadow', '0 0 10px #F55');
									
		} else if (!$('#steam_id').val().match(/^STEAM_0:[01]:[0-9]{7,8}$/)) {
			
			valid = false;
								
			$('#Steam_ID_Added').fadeIn(100).html('<font color=red><?php echo $enter_valid_steam_id; ?></font>');
							
			$('#steam_id').css('border-color', '#F55');
			$('#steam_id').css('-moz-box-shadow', '0 0 10px #F55');
			$('#steam_id').css('-webkit-box-shadow', '0 0 10px #F55');
			$('#steam_id').css('box-shadow', '0 0 10px #F55');
								
		} else {
			
			$('#steam_id').css('border-color', '#149541');
			$('#steam_id').css('-moz-box-shadow', '0 0 10px #149541');
			$('#steam_id').css('-webkit-box-shadow', '0 0 10px #149541');
			$('#steam_id').css('box-shadow', '0 0 10px #149541');
			
		}
		
		if (!$('#months').val().match(/^[0-9]{1,3}$/)) {
							
			$('#Steam_ID_Added').fadeIn(100).html('<font color=red><?php echo $only_numbers; ?></font><br>');
							
			$('#months').css('border-color', '#F55');
			$('#months').css('-moz-box-shadow', '0 0 10px #F55');
			$('#months').css('-webkit-box-shadow', '0 0 10px #F55');
			$('#months').css('box-shadow', '0 0 10px #F55');
									
			valid = false;
							
		} else {

			$('#months').css('border-color', '#149541');
			$('#months').css('-moz-box-shadow', '0 0 10px #149541');
			$('#months').css('-webkit-box-shadow', '0 0 10px #149541');
			$('#months').css('box-shadow', '0 0 10px #149541');
									
		}
		
		if (valid) {
								
			 $('#load').fadeIn();
			 
			 $('#Steam_ID_Added').html('');	
								
			 $('#steam_id').css('border-color', '#149541');
			 $('#steam_id').css('-moz-box-shadow', '0 0 10px #149541');
			 $('#steam_id').css('-webkit-box-shadow', '0 0 10px #149541');
			 $('#steam_id').css('box-shadow', '0 0 10px #149541');

			 var dataString = "steam_id=" + $('#steam_id').val() + "&months=" + $('#months').val() + "&ip=<?php echo $ip; ?>";
					
			 $.ajax({ type : 'POST' , url : 'config/functions/add_new_admin.php' , data : dataString, success : function(data) { $("#Steam_ID_Added").html("<font color=green><?php echo $steam_id_added; ?></font>");$('#load').fadeOut(); } , error : function() { $("#Steam_ID_Added").html("<font color=red>ERROR</font>");$('#load').fadeOut(); } });
							
		}
	        
	  });
	
	});
	
	</script>

</div>

<script>var dataString = 'ip=<?php echo $ip; ?>';$.ajax({type: 'POST',url : 'config/functions/refresh_admins.php',data: dataString});</script>

<?php }

  } 

} 

echo $copyright; ?>

</body>

</html>