<?php

function lastIndexOf ( $string , $item ) { 

    $index = strpos ( strrev ( $string ) , strrev ( $item ) );  
	
    if ($index) {  
	
        $index = strlen ($string) - strlen ($item) - $index ;  
		
        return $index ;  
		
    } else {  
	
        return -1; 
		
	}
		
} 

function RemoveFlags ( $conn_id , $file , $steam_id ) {
	
	$file_name = substr( $file , lastIndexOf($file , '/') + 1 , strlen($file));	
	
	ftp_get ( $conn_id , $file_name , $file , FTP_BINARY );
	
    $lines = file($file_name); 
	
	$fichier = fopen($file_name . '.bak' , 'w');
	
	for ($i = 0 ; $i < count($lines) ; $i++ ) {
		
		if (!ereg($steam_id , $lines[$i])) {
		
			fputs ( $fichier , "\n\r" . $lines[$i] );
			
		} else {
			
			fputs ( $fichier , "\n\r" . str_replace( $steam_id , 'STEAM_0:0:00000000' , $lines[$i] ) );
			
		}
		
	}
	
	if (file_exists($file_name)) { unlink($file_name); }
	
	if (file_exists($file_name . '.bak')) { rename ( $file_name  . '.bak' , $file_name ); } else { RemoveFlags ( $conn_id , $file , $steam_id ); }
	
	ftp_put ( $conn_id , $file , $file_name , FTP_BINARY );
	
	if (file_exists($file_name)) { unlink($file_name); }
	
}

function Found_RCON ($conn_id , $game_path , $file , $rcon ) {
	
	$remote_file = $game_path . '/cfg/' . $file;
    $local_file = $file;

    $handle = fopen($file, 'w');
	
	ftp_fget ( $conn_id , $handle , $remote_file , FTP_ASCII, 0 ) ;
	
    $lines = file($local_file);
	
	$exec_array = array();
	
	$nbr_exec = 0;
	
	$rcon_password = '';
	
	if (empty($_SESSION['files'])) {
		
		$_SESSION['files'] = 1;
		
	}
	
    foreach($lines as $line) {
		
		 if (str_replace(' ' , '' , substr($line , 0 , 13)) == 'rcon_password') {
			 
			 $rcon_password = substr($line , 13 , strlen($line));
			 
			 $rcon_password = str_replace ( ' ' , '' , $rcon_password );
			 
			 $rcon_password = str_replace ( '\n' , '' , $rcon_password );
			 
			 $rcon_password = str_replace ( '\r' , '' , $rcon_password );
			 
			 $rcon_password = str_replace ( '"' , '' , $rcon_password );
			 
			 $rcon_password = str_replace ( ' ' , '' , $rcon_password );
			 
			 $rcon_password = str_replace('	' , '' , $rcon_password );
			 
			 $rcon_password = str_replace(' ' , '' , $rcon_password );
			 
			 $rcon_password = str_replace('\n' , '' , $rcon_password );
			 
			 $rcon_password = str_replace('\r' , '' , $rcon_password );
			 
			 $rcon_password = str_replace('/n' , '' , $rcon_password );
			 
			 $rcon_password = str_replace('/r' , '' , $rcon_password );
			 
			 $rcon_password = str_replace('<br />' , '' , $rcon_password );
			 
			 $rcon_password = str_replace('<br>' , '' , $rcon_password );
			 
			 $rcon_password = str_replace('\r\n' , '' , $rcon_password );
			 
			 $rcon_password = str_replace(CHR(10) , '' , $rcon_password );
			 
			 $rcon_password = str_replace(CHR(13) , '' , $rcon_password );
			 
			 $rcon_password = preg_replace("/(\r\n|\n|\r)/", "", $rcon_password);
		
			 $_SESSION['rcon'] = $rcon_password;
		
		 } else if (str_replace(' ', '' , substr($line , 0 , 4)) == 'exec') {
			 
			 $exec_file = substr($line , 4 , strlen($line));
			 
			 $exec_file = str_replace ( ' ' , '' , $exec_file );
			 
			 $exec_file = str_replace ( '\n' , '' , $exec_file );
			 
			 $exec_file = str_replace ( '\r' , '' , $exec_file );
			 
			 $exec_file = str_replace ( '"' , '' , $exec_file );
			 
			 $exec_file = str_replace ( ' ' , '' , $exec_file );
			 
			 $exec_file = str_replace ( ' ' , '' , $exec_file );
			 
			 $exec_file = str_replace('	' , '' , $exec_file );
			 
			 $exec_file = str_replace(' ' , '' , $exec_file );
			 
			 $exec_file = str_replace('\n' , '' , $exec_file );
			 
			 $exec_file = str_replace('\r' , '' , $exec_file );
			 
			 $exec_file = str_replace('/n' , '' , $exec_file );
			 
			 $exec_file = str_replace('/r' , '' , $exec_file );
			 
			 $exec_file = str_replace('<br />' , '' , $exec_file );
			 
			 $exec_file = str_replace('<br>' , '' , $exec_file );
			 
			 $exec_file = str_replace('\r\n' , '' , $exec_file );
			 
			 $exec_file = str_replace(CHR(10) , '' , $exec_file );
			 
			 $exec_file = str_replace(CHR(13) , '' , $exec_file );
			 
			 $exec_file = preg_replace("/(\r\n|\n|\r)/", "", $exec_file);
			 
			 if (ereg('#' , $exec_file)) {
				 
				 $exec_file = str_replace('#' , '' , substr($exec_file , 0 , lastIndexOf($exec_file , '#')));
				 
				 if (ereg('/' , $exec_file)) {
					 
					 $exec_file = str_replace('/' , '' , substr($exec_file , 0 , lastIndexOf($exec_file , '/')));
					 
				 }
				 
			 } else {
				 
				 if (ereg('/' , $exec_file)) {
					 
					 $exec_file = str_replace('/' , '' , substr($exec_file , 0 , lastIndexOf($exec_file , '/')));
					 
				 }
				 
			 }
			 
			 if (substr ( $exec_file , strlen($exec_file) - 4 , strlen($exec_file) )  == '.cfg' ) {
		
		         if (ftp_size($conn_id , $game_path . '/cfg/' . $exec_file) != '-1') {
					 
					  $exec_array[$nbr_exec] = $exec_file;
					 
				 }
		
		     } else {
			
			     if (ftp_size($conn_id , $game_path . '/cfg/' . $exec_file . '.cfg') != '-1') {
					 
					  $exec_array[$nbr_exec] = $exec_file;
					 
				 }
			
		     }
			 
			 $nbr_exec++;
			 
		 }

    }

    unlink($local_file);
	
	$_SESSION['files'] = $_SESSION['files'] - 1;

	for ($u = 0 ; $u < strlen($exec_array) ; $u++) {
		
	  if (!empty($exec_array[$u])) {
		  
		$_SESSION['files'] = $_SESSION['files'] + 1;
	
		if (substr ( $exec_array[$u] , strlen($exec_array[$u]) - 4 , strlen($exec_array[$u]) )  == '.cfg' ) {
		
		  if ($rcon_password != '') {
		
		      Found_RCON ($conn_id , $game_path , $exec_array[$u] , $rcon_password );
			
		  } else {
			  
			  Found_RCON ($conn_id , $game_path , $exec_array[$u] , $rcon );
			  
		  }
		
		} else {
			
			if ($rcon_password != '') {
		
		      Found_RCON ($conn_id , $game_path , $exec_array[$u] . '.cfg' , $rcon_password );
			
		  } else {
			  
			  Found_RCON ($conn_id , $game_path , $exec_array[$u] . '.cfg' , $rcon );
			  
		  }
			
		}
		
	  }
		
	}
	
}

function UploadDirectoryOnFTP($conn_id, $local_dir , $remote_dir ) {
	
  @ftp_mkdir( $conn_id , $remote_dir );
  
  $handle = opendir( $local_dir );
  
  while ( ( $file = readdir ( $handle ) ) !== false ) {
	  
    if ( ( $file != '.' ) && ( $file != '..' ) ) {
		
      if ( is_dir ( $local_dir.$file ) ) {
		  
        UploadDirectoryOnFTP( $conn_id , $local_dir . $file . '/' , $remote_dir . $file . '/' );
		
      } else {
		  
        $f[] = $file;
		
	  }
	  
    }
	
  }
  
  closedir ( $handle );
  
  if ( count ( $f ) ) {
	  
    sort ( $f );
	
    @ftp_chdir ( $conn_id , $remote_dir );
	
    foreach ( $f as $files ) {
		
      $from = @fopen( "$local_dir$files" , 'r');
	  
      @ftp_fput($conn_id, $files, $from, FTP_BINARY);
	  
    }
	
  }
  
}

function WriteOnFile ($conn_id, $file, $file_name, $text_to_write) {
	
	if (substr( $file , lastIndexOf($file , '/') + 1 , strlen($file)) != $file_name) {
						
		    $file_name = substr( $file , lastIndexOf($file , '/') + 1 , strlen($file));				
						
	}
	
	if ( ftp_size ( $conn_id , $file ) != -1 ) {
		
		sleep(1); 
			
		  if ( ftp_size ( $conn_id , $file ) != -1 ) {
			 
			if (file_exists($file_name)) { unlink($file_name); }
		
		    $size_of_file = ftp_size ( $conn_id , $file );
		
		    while ( ! ftp_get ( $conn_id , $file_name , $file , FTP_BINARY ) ) {
				
				sleep(1);
				
			}
			
			copy ( $file_name , $file_name  . '.bak' );
			
			if (filesize($file_name) < $size_of_file) {
				
				WriteOnFile ($conn_id, $file, $file_name, $text_to_write);
				
			} else {
	
			$fichier = fopen($file_name , 'a');
		
			fputs ( $fichier , "\n\r\n\r" . $text_to_write );
			
			if (filesize($file_name) > $size_of_file || filesize($file_name) == $size_of_file) {
		
			    ftp_put ( $conn_id , $file , $file_name , FTP_BINARY );
			
			} else {
			
				WriteOnFile ($conn_id, $file, $file_name, $text_to_write);
				
			}
		
			if (file_exists($file_name)) { unlink($file_name); }
			
			if ($size_of_file > ftp_size ( $conn_id , $file) ) {
				
				rename ( $file_name  . '.bak' , $file_name );
				
				ftp_put ( $conn_id , $file , $file_name , FTP_BINARY );
				
				if (file_exists($file_name)) { unlink($file_name); }
				
				WriteOnFile ($conn_id, $file, $file_name, $text_to_write);
				
			}
			
			}
			
		  } else {
				
				WriteOnFile ($conn_id, $file, $file_name, $text_to_write);
				
	      }
	
	} else {
		
		sleep(1);
		
		if ( ftp_size ( $conn_id , $file ) != -1) {
			
			WriteOnFile ($conn_id, $file, $file_name, $text_to_write);
			
		} else {
			
			if (file_exists($file_name)) { unlink($file_name); }
		
			$fichier = fopen($file_name , 'w');
		
			fputs ( $fichier , "\n\r\n\r" . $text_to_write );
		
			ftp_put ( $conn_id , $file , $file_name , FTP_BINARY );
		
			if (file_exists($file_name)) { unlink($file_name); }
			
		}
		
	}
	
}

function WriteOnAutoexec ($conn_id, $game_path, $text_to_write) {
	
	WriteOnFile ($conn_id , $game_path . '/cfg/autoexec.cfg' , 'autoexec.cfg' , $text_to_write);
	
}

function WriteOnAutoExecEs_Load ($conn_id, $path , $game_path) {

	$repertoire = opendir($path . 'addons/eventscripts'); 

	while($file = readdir($repertoire) ) {
	
		if($file != '.' && $file != '..' && substr ( $file , 0 , 1 ) != '_' ) {
	
			WriteOnAutoexec ($conn_id, $game_path , 'es_load ' . $file);

		}
	
	}

}

function ftp_is_dir( $dir ) {
	
	global $conn_id;
	
    if( ftp_size ( $conn_id , $dir ) == '-1' ) {

        return true;
		
    } else {
		
        return false;
		
    }
  
}

function SearchGameDirectoryPath($conn_id, $path , $game) {
	
	$ftp_nlist = ftp_nlist($conn_id, $path . '/');

    foreach ($ftp_nlist as $dir_name) {
		
		if ( !ereg( "materials" , $dir_name ) && !ereg( "models" , $dir_name ) && !ereg( "http" , $dir_name ) && !ereg( "models" , $dir_name ) && !ereg( "sound" , $dir_name ) && !ereg( "logs" , $dir_name ) && !ereg( "log" , $dir_name ) && !ereg( "resource" , $dir_name ) && !ereg( "appcache" , $dir_name ) && !ereg( "sourcemod" , $dir_name )) {
		
            if ( ftp_is_dir ( $dir_name ) ) {
				
                    if ( ( substr ( $dir_name ,  strrpos ( $dir_name , '/' , strlen($dir_name) - ( strlen($game) + 2 ) )  , strlen($dir_name) ) == '/' . $game ) && ftp_size ( $conn_id , $dir_name . '/cfg/server.cfg' ) != -1 ) {

						$data = array('STATUT'=>'OK', 'PATH'=>$dir_name);
                        echo json_encode($data);
						
						$_SESSION['game_path'] = $dir_name;
						
						$_SESSION['found'] = 1;
						
						break;
						
						exit();
						
						exit;
						
					} else {
						
						SearchGameDirectoryPath($conn_id, $dir_name, $game);
						
					}
	  
            }
			
		}
    }
	
}

?>